Package org.apache.solr.client.solrj.request.beans

## Class CreateAliasPayload.AliasRouter

- java.lang.Object
- - org.apache.solr.client.solrj.request.beans.CreateAliasPayload.AliasRouter

All Implemented Interfaces:
  `MapSerializable`, `MapWriter`, `NavigableObject`, `ReflectMapWriter`

Enclosing class:
  CreateAliasPayload

    public static class CreateAliasPayload.AliasRouter
    extends Object
    implements ReflectMapWriter

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

Fields
`String` `autoDeleteAge`
`String` `field`
`String` `interval`
`Integer` `maxCardinality`
`Long` `maxFutureMs`
`String` `mustMatch`
`String` `name`
`String` `preemptiveCreateMath`
`List<Map<String,​Object>>` `routerList`
`String` `start`

### Fields inherited from interface org.apache.solr.common.MapWriter

`EMPTY`

### Constructor Summary

Constructors
`AliasRouter()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`append, jsonStr, toMap`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

### Methods inherited from interface org.apache.solr.common.util.ReflectMapWriter

`writeMap`

### Field Detail

#### name

    public String name

#### field

    public String field

#### start

    public String start

#### interval

    public String interval

#### maxFutureMs

    public Long maxFutureMs

#### preemptiveCreateMath

    public String preemptiveCreateMath

#### autoDeleteAge

    public String autoDeleteAge

#### maxCardinality

    public Integer maxCardinality

#### mustMatch

    public String mustMatch

#### routerList

    public List<Map<String,​Object>> routerList

### Constructor Detail

#### AliasRouter

    public AliasRouter()